{% extends '::base.html.twig' %}

{% block title %}Lista Negra{% endblock title %}

{% block stylesheets %}
	<link rel="stylesheet" type="text/css" href="{{ asset('vendor/css/jquery.dataTables.css') }}">
    <style>
      #form_Enviar {
        margin-top: 25px;
        margin-left: 15px;
      }
    </style>
{% endblock %}

{% block body -%}
<div class="container generalContainer" id="pf_opmenu">

    <h1>Lista Negra de Tarjetas</h1>

            <a type="button" class="btn btn-primary" href="{{ path('listanegratarjetas_new') }}">
                Agregar Tarjeta a la Lista
            </a>
            <button class="btn btn-success" onclick="CargaExcelTDC()">Cargar Excel</button>
    <br /><br />
    <table id="listnegra" class="table table-bordered table-striped table-condensed">
        <thead class="head_table">
            <tr>
                <th>Numero de tarjeta</th>
                <th>Acciones</th>
				<th>Activo</th>
            </tr>
        </thead>
        <tbody>
        {% for entity in entities %}
            <tr>
                <td>{{ entity.numeroTarjeta }}</td>
                <td>
                <a type="button" class="btn btn-primary" href="{{ path('listanegratarjetas_edit', { 'id': entity.idListaNegra }) }}">Editar</a>  						
                </td>
			    <td>
					    <input {{ entity.activo == 1 ? 'checked' }} type="checkbox" style="width: 30px;height:30px;" name="estado{{ entity.idListaNegra }}" onchange="actualiza({{ entity.idListaNegra }}, this);"/>  						
                </td>
            </tr>
        {% endfor %}
        </tbody>
    </table>


<!--POP-UP PARA CARGA DE EXCEL LISTA NEGRA TDC-->

        <div class="modal fade modal_base" id="pop_cargaExcel" tabindex="-1" role="dialog" aria-labelledby="mySmallModalLabel" aria-hidden="true">
      <div class="modal-dialog ">
        <div class="modal-content">
              <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
                <h4 class="modal-title" id="myModalLabel">Carga de Excel <b>LISTAS NEGRA TDC</b></h4>
              </div>
            <div class="modal-body">
                {{form(formExcel)}}
            </div>  
        </div>  
      </div>
    </div>

</div>	
{% endblock %}
{% block javascripts %}

<script type="text/javascript">
var urlActualiza = "{{path('_ActualizarListaNegraTarjetas')}}"; 
function actualiza(idListaNegra, self){

$.post(urlActualiza, {idListaNegra:idListaNegra,valor:self.checked}, function(data, textStatus, xhr) {
   /*cosas opcionales que hacer después del éxito */
   if (data.estado!=1){
     alert(data.mensaje);
   }  
  });
  }
  </script>

	<!--TABLE API -->
	<script src="{{ asset('vendor/js/DataTablesJQuery.js') }}"></script>
	<!--**********-->
<script type="text/javascript">
  $(document).ready(function() {
    $('#listnegra').dataTable({
		"language":DataTables.languaje.es                    
			   			});


      $( "select" ).addClass( "form-control" );
      $( "input[type='text']" ).addClass( "form-control" );
      $( "input[type='search']").addClass( "form-control" );
      $( "#listnegra_length" ).addClass( "form-inline" );
      $( "#listnegra_filter" ).addClass( "form-inline" );

} );

    function CargaExcelTDC (){
      $('#pop_cargaExcel').modal({
          backdrop: 'static',
          keyboard: false
        });
    }
</script>
{% endblock %}
